Loading...
Searching...
No Matches
RDKit::FMCS::SeedSet Class Reference

`#include <SeedSet.h>`

## Public Types

typedef Seed | Value
typedef ValueSet::iterator | iterator
typedef ValueSet::const_iterator | const_iterator

## Public Member Functions

void | clear ()
void | erase (iterator where)
size_t | size ()
bool | empty ()
iterator | begin ()
iterator | end ()
Value & | front ()
const_iterator | begin () const
const_iterator | end () const
const Value & | front () const
Value & | push_back (const Value &seed)
Value & | add (const Value &seed)

## Detailed Description

Definition at line 18 of file SeedSet.h.

## Member Typedef Documentation

## const_iterator

typedef ValueSet::const_iterator RDKit::FMCS::SeedSet::const_iterator

Definition at line 26 of file SeedSet.h.

## iterator

typedef ValueSet::iterator RDKit::FMCS::SeedSet::iterator

Definition at line 25 of file SeedSet.h.

## Value

typedef Seed RDKit::FMCS::SeedSet::Value

Definition at line 24 of file SeedSet.h.

## Member Function Documentation

## add()

Value & RDKit::FMCS::SeedSet::add | ( | const Value & | seed | ) |

inline

Definition at line 46 of file SeedSet.h.

References RDKit::FMCS::Seed::setMoleculeFragment().

## begin() [1/2]

iterator RDKit::FMCS::SeedSet::begin | ( |  | ) |

inline

Definition at line 35 of file SeedSet.h.

## begin() [2/2]

const_iterator RDKit::FMCS::SeedSet::begin | ( |  | ) | const

inline

Definition at line 38 of file SeedSet.h.

## clear()

void RDKit::FMCS::SeedSet::clear | ( |  | ) |

inline

Definition at line 29 of file SeedSet.h.

## empty()

bool RDKit::FMCS::SeedSet::empty | ( |  | ) |

inline

Definition at line 34 of file SeedSet.h.

## end() [1/2]

iterator RDKit::FMCS::SeedSet::end | ( |  | ) |

inline

Definition at line 36 of file SeedSet.h.

## end() [2/2]

const_iterator RDKit::FMCS::SeedSet::end | ( |  | ) | const

inline

Definition at line 39 of file SeedSet.h.

## erase()

void RDKit::FMCS::SeedSet::erase | ( | iterator | where | ) |

inline

Definition at line 30 of file SeedSet.h.

## front() [1/2]

Value & RDKit::FMCS::SeedSet::front | ( |  | ) |

inline

Definition at line 37 of file SeedSet.h.

## front() [2/2]

const Value & RDKit::FMCS::SeedSet::front | ( |  | ) | const

inline

Definition at line 40 of file SeedSet.h.

## push_back()

Value & RDKit::FMCS::SeedSet::push_back | ( | const Value & | seed | ) |

inline

Definition at line 42 of file SeedSet.h.

## size()

size_t RDKit::FMCS::SeedSet::size | ( |  | ) |

inline

Definition at line 31 of file SeedSet.h.

The documentation for this class was generated from the following file:

- SeedSet.h